/*
 * OtroCampoLlenoParaValordelCampoCompuesto.java
 *
 * Created on 10 de abril de 2007, 11:31 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

/**
 * 
 * @author Julian
 */
public class OtroCampoLlenoParaValordelCampoCompuesto extends AbstractRule {

	/** Creates a new instance of OtroCampoLlenoParaValordelCampoCompuesto */

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {
		// C,2,13,1-----C,14,25,13,F
		String otroCampo = registro[new Integer((String) getParams()[1])
				.intValue()];
		String otroCampo2 = registro[new Integer((String) getParams()[3])
				.intValue()];
		String otroCampo3 = registro[new Integer((String) getParams()[2])
				.intValue()];

		// System.out.println("otroCampo: " + otroCampo);
		// System.out.println("otroCampo2: " + otroCampo2);
		// System.out.println("getParams()[0]: " + getParams()[0]);
		// System.out.println("field: " + field);
		// System.out.println("getParams()[4]: " + getParams()[4]);

		if (getParams()[0].equals(field) && !otroCampo3.equals("1")
				&& ((otroCampo.length() > 0) || (otroCampo2.length() > 0))) {
			return true;
		}

		// if (getParams()[4].equals(field) && ((otroCampo.length() > 0)
		// || (otroCampo2.length()>0))) {
		// return true;
		// }

		return false;
	}

}
